<template>
    
<div class="vsm--child" :id=name>
    <ul class="vsm--dropdown">
        <li  v-for="(sr,i) in children" :key="i" class="vsm--item">
           <router-link class="vsm--link vsm--link_level-2" active-class="active" :to="`${from}/${sr.path}`">
             {{sr.name}}
              <div class="vsm--icon">
                <svg class="bi pe-none me-2" width="16" height="16"><use xlink:href="#{{menue.name}}"></use></svg>
              </div>
              <div class="vsm--title">{{menue.name}}</div>
              <div class="vsm--arrow vsm--arrow_open"></div>
            </router-link>
        </li>
    </ul>
</div>
</template>
<script lang="ts">

    export default {
    components: {
     
    },
    props:{
        name:{
            type : String,
            required : true,
        },
        from:{
            type : String,
            required : true,
        },
        children : {
            type : Object,
            required : true,
        }
    },
    data(){
        return {
        }
    },
    computed: {
      routes() {
        return this.$router.options.routes;
      }
      
    },
    created(){

    },
    methods: {

    }
  };
</script>
<style lang="scss" scoped>
$primary:  #d2f4ea;

</style>
 